Bug Hunting Session
Bug 127646 - GTK3 crash when create new macro
Summary: GTK3 crash when create new macro
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha0+ Master
Hardware: All Linux (All)
: high major
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.4.0 target:6.3.3
Keywords: bibisectRequest, regression
Depends on:
Blocks: GTK3
  Show dependency treegraph
 
Reported: 2019-09-19 18:11 UTC by raal
Modified: 2019-09-23 09:58 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description raal 2019-09-19 18:11:01 UTC
Description:
Version: 6.4.0.0.alpha0+
Build ID: 0d90da9ea0a23c9c4afac62025208559b1496a0e
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 

Steps to Reproduce:
1.Tools-Macros-Organize macros-Basic
2.click on Untitled1 file,
3.button New, button OK 

Actual Results:
Crash

Expected Results:
no crash


Reproducible: Always


User Profile Reset: Yes



Additional Info:
Comment 1 Commit Notification 2019-09-20 07:53:52 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/58a3ed811ac501b99d38664eb89bbab4b283d2aa

Resolves: tdf#127646 remove undispatched events in dtor

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Caolán McNamara 2019-09-20 07:57:47 UTC
fixed in master, backport to 6-3 in gerrit
Comment 3 Commit Notification 2019-09-23 09:58:47 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/5cc194d452c8e52ebd7f5132912e97eabdb07595

Resolves: tdf#127646 remove undispatched events in dtor

It will be available in 6.3.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.